# data_frame Struct Reference

`#include <cgmstruc.h>`

## Data Fields

fpos_t | disk_addr
char * | cur_ptr
char * | end_ptr
union {
int meta
int frame
} | index

## Field Documentation

char* data_frame::cur_ptr

fpos_t data_frame::disk_addr

char * data_frame::end_ptr

int data_frame::frame

union { ... } data_frame::index

int data_frame::meta

The documentation for this struct was generated from the following file:

- cgmstruc.h